## eloquent 0.0

=== debian/changelog ===
eloquent (0.0) stable; urgency=medium

  * Initial release. 

 -- Hans van den Dool <h.m.vdndool@tilburguniversity.edu>  Fri, 17 Sep 2021 16:58:03 +0200
