=== debian/control ===
Source: eloquent
Section: web
Priority: optional
Maintainer: Hans van den Dool <h.m.vdndool@tilburguniversity.edu>
Build-Depends:
	debhelper,
	dh-python,
	python3,
	python3-setuptools,
	apache2-dev,
Standards-Version: 4.4.1.2

Package: eloquent
Architecture: all
Depends:
	${python3:Depends},
	${misc:Depends},
	makepasswd,
	python3-asgiref,
	python3-psycopg2,
	python3-django (>= 2:2),
	python3-django-crispy-forms,
	python3-django-filters,
	python3-django-tables2,
	python3-html5-parser,
	python3-sqlparse,
Recommends:
	${misc:Recommends},
	apache2,
	libapache2-mod-wsgi-py3,
Description: Tilburg University Django demo application
 Demonstration / template package for Django applications at
 Tilburg University.
