## eloquent 0.1

=== debian/changelog ===
eloquent (0.1) stable; urgency=medium

  * Fixed. 

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 12:05:54 +0200
