## eloquent 0.2

=== debian/changelog ===
eloquent (0.2) stable; urgency=medium

  * Fixed python-path.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 16:15:46 +0200
