## eloquent 0.3

=== debian/changelog ===
eloquent (0.3) stable; urgency=medium

  * Better python-path.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 16:42:25 +0200
