## eloquent 0.4

=== debian/changelog ===
eloquent (0.4) stable; urgency=medium

  * Removed python3-django-timezone-field.
  * Added makemigrations.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 16:55:22 +0200
