## eloquent 0.5

=== debian/changelog ===
eloquent (0.5) stable; urgency=medium

  * Fixed BASE_DIR.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 12 Oct 2021 17:11:18 +0200
