## eloquent 0.8

=== debian/changelog ===
eloquent (0.8) stable; urgency=medium

  * Updated Makefile and filters. 
  * Removed buttons.
  * Added practice words list.

 -- Hans van den Dool <hvddool@uvt.nl>  Thu, 14 Oct 2021 11:12:25 +0200

eloquent (0.7) stable; urgency=medium

  * Rebuild migrations.

 -- Hans van den Dool <hvddool@uvt.nl>  Wed, 13 Oct 2021 16:26:42 +0200

eloquent (0.6) stable; urgency=medium

  * Moved makemigrations.

 -- Hans van den Dool <hvddool@uvt.nl>  Wed, 13 Oct 2021 16:10:57 +0200
