## eloquent 0.9

=== debian/changelog ===
eloquent (0.9) stable; urgency=medium

  * Updated settings.py.

 -- Hans van den Dool <hvddool@uvt.nl>  Thu, 14 Oct 2021 11:44:57 +0200
