## eloquent 0.10

=== debian/changelog ===
eloquent (0.10) stable; urgency=medium

  * Updated settings.py some more.

 -- Hans van den Dool <hvddool@uvt.nl>  Thu, 14 Oct 2021 15:25:12 +0200
