## eloquent 0.11

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 DOCKER_PYTHONPATH = /var/lib/$(PROJECT_NAME)
 
 dist:
+	docker-compose exec --user $(DOCKER_USER) app ./manage.py makemigrations --check
 	docker-compose exec -T --user $(DOCKER_USER) app tools/make-dist $(VERSION) | tar xCvv /tmp
 
 manage-%:
@@ -43,6 +44,7 @@
 	docker-compose build --pull
 	docker system prune -f
 	docker-compose up -d
+	docker-compose exec app env chown $(PROJECT_NAME).$(PROJECT_NAME) $(DOCKER_PYTHONPATH)/media/mp3
 
 psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
 	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'
