=== debian/changelog ===
eloquent (0.11) stable; urgency=medium

  * Removed fallbackresource. Merged with develop.

 -- Hans van den Dool <hvddool@uvt.nl>  Fri, 15 Oct 2021 14:21:22 +0200
