=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: eloquent
 Section: web
 Priority: optional
-Maintainer: Hans van den Dool <h.m.vdndool@tilburguniversity.edu>
+Maintainer: Hans van den Dool <hvddool@uvt.nl>
 Build-Depends:
 	debhelper,
 	dh-python,
