=== debian/rules ===
#! /usr/bin/make -f

%:
	exec dh $@ --with python3 --with apache2 --buildsystem=pybuild

override_dh_auto_build:
	exec dh $@ --with python3 --with apache2 --buildsystem=pybuild

override_dh_auto_test:
	exec python3 manage.py test
