## eloquent 0.12

=== debian/changelog ===
eloquent (0.12) stable; urgency=medium

  * Adjusted template path.
  * Adjusted static path.
  * Merged with develop.

 -- Hans van den Dool <hvddool@uvt.nl>  Fri, 22 Oct 2021 11:56:27 +0200
