=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	${misc:Recommends},
 	apache2,
 	libapache2-mod-wsgi-py3,
+	eloquent-media
 Description: Tilburg University Django demo application
  Demonstration / template package for Django applications at
  Tilburg University.
