=== debian/changelog ===
eloquent (0.19) stable; urgency=medium

  * Added Delete All button and pagination to practices list.

 -- Hans van den Dool <hvddool@uvt.nl>  Wed, 19 Jan 2022 16:08:38 +0100

eloquent (0.18) stable; urgency=medium

  * Added debugging.

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 21 Dec 2021 13:35:08 +0100

eloquent (0.17) stable; urgency=medium

  * Fixed settings.py

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 21 Dec 2021 11:47:23 +0100

eloquent (0.16) stable; urgency=medium

  * Fixed removal of practice words belonging to different ip's

 -- Hans van den Dool <hvddool@uvt.nl>  Tue, 21 Dec 2021 11:28:27 +0100

eloquent (0.15) stable; urgency=medium

  * Fixed session cookie.
  * Fixed mp3 upload.
  * Fixed unwanted automatic cleaning of practice list.

 -- Hans van den Dool <hvddool@uvt.nl>  Mon, 13 Dec 2021 08:28:10 +0100

eloquent (0.14) stable; urgency=medium

  * Updated debian package dependencies.
  * Removed button 'Add words'.
  * Added audio recorder.
  * Fixed search after letter selection.

 -- Hans van den Dool <hvddool@uvt.nl>  Mon, 15 Nov 2021 14:25:15 +0100

eloquent (0.13) stable; urgency=medium

  * Fixed mp3 filenames.
  * No debug messages on production.
  * Only django/django.server warning messages in logfile (syslog on
    production, apache2/error.log on all other environments)

 -- Hans van den Dool <hvddool@uvt.nl>  Mon, 15 Nov 2021 14:11:37 +0100
