=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
 Depends:
 	${python3:Depends},
 	${misc:Depends},
+	libjs-jquery,
 	makepasswd,
 	python3-asgiref,
 	python3-psycopg2,
@@ -29,6 +30,5 @@
 	apache2,
 	libapache2-mod-wsgi-py3,
 	eloquent-media
-Description: Tilburg University Django demo application
- Demonstration / template package for Django applications at
- Tilburg University.
+Description: Tilburg University Language Center Pronunciation Application
+ Application to practise the pronunciation of difficult words.
