## eloquent 0.20.0

=== debian/changelog ===
eloquent (0.20.0) stable; urgency=medium

  * Fix "django.db.utils.DataError: value too long" error

 -- Wessel Dankers <wsl@uvt.nl>  Thu, 17 Nov 2022 15:11:56 +0100
