## eloquent 0.20.1

=== Makefile ===
--- 
+++ 
@@ -19,12 +19,8 @@
 migrate:
 	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py migrate
 
-rebuild-migrations:
-	docker-compose exec $T --user $(DOCKER_USER) app find . -path "./elo/migrations/*.py" -not -name "__init__.py" -delete
-	docker-compose exec $T --user $(DOCKER_USER) app find . -path "./elo/migrations/*.pyc"  -delete
-	$(MAKE) migrate
-	$(MAKE) manage-makemigrations
-	$(MAKE) migrate
+migrations:
+	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py makemigrations
 
 superuser:
 	docker-compose exec $T --user $(DOCKER_USER) app ./manage.py createsuperuser --email admin@localhost --username admin --noinput
@@ -46,7 +42,8 @@
 	docker-compose build --pull
 	docker system prune -f
 	docker-compose up -d
-	docker-compose exec app env chown $(PROJECT_NAME).$(PROJECT_NAME) $(DOCKER_PYTHONPATH)/media/mp3
+	docker-compose exec app mkdir -p $(DOCKER_PYTHONPATH)/media/mp3
+	docker-compose exec app chown $(PROJECT_NAME): $(DOCKER_PYTHONPATH)/media/mp3
 
 psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
 	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'
@@ -97,4 +94,4 @@
 clean:
 	rm -f postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).csr $(PROJECT_NAME).key
 
-.PHONY: default dist dev prod watch manage-% migrate frontend-tests docker psql initdb dropdb testdb demodb clean rebuild-migrations tail
+.PHONY: default dist dev prod watch manage-% migrate migrations frontend-tests docker psql initdb dropdb testdb demodb clean tail
