=== debian/changelog ===
eloquent (0.20.1) stable; urgency=medium

  * Remove leftover "printf debugging" statements.

 -- Wessel Dankers <wsl@uvt.nl>  Fri, 17 Mar 2023 13:37:06 +0100
