## eloquent 0.21

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	docker-compose exec $T --user $(DOCKER_USER) app env 'PATH=$(DOCKER_PATH)' 'PYTHONPATH=$(DOCKER_PYTHONPATH)' bash
 
 docker: clean
-	docker-compose down
+	docker-compose down -t 0 -v
 	docker-compose build --pull
 	docker system prune -f
 	docker-compose up -d
@@ -47,6 +47,9 @@
 
 psql: postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).key
 	exec psql 'user=$(PROJECT_NAME) host=localhost port=$(POSTGRES_PORT) sslmode=verify-full sslcert=$(PROJECT_NAME).crt sslkey=$(PROJECT_NAME).key sslrootcert=postgres.crt'
+
+waitdb:
+	docker-compose exec --user $(DOCKER_USER) app sh -ec 'while ! pg_isready -q; do sleep .5;done'
 
 initdb:
 	docker-compose exec $T --user postgres app createuser -d $(PROJECT_NAME)
@@ -86,6 +89,7 @@
 
 factory-reset:
 	$(MAKE) docker
+	$(MAKE) waitdb
 	$(MAKE) demodb
 
 tail:
@@ -94,4 +98,4 @@
 clean:
 	rm -f postgres.crt $(PROJECT_NAME).crt $(PROJECT_NAME).csr $(PROJECT_NAME).key
 
-.PHONY: default dist dev prod watch manage-% migrate migrations frontend-tests docker psql initdb dropdb testdb demodb clean tail
+.PHONY: default dist dev prod watch manage-% migrate migrations frontend-tests docker psql waitdb initdb dropdb testdb demodb clean tail
