=== debian/changelog ===
eloquent (0.21) stable; urgency=medium

  * Fixed recorderjs.

 -- Rick Verbon <rverbon@uvt.nl>  Thu, 01 Feb 2024 09:33:24 +0100
